/*
 *
 *  This file ist part of the software MonaLisa.
 *  MonaLisa is free software, dependend on non-free software. For more information read LICENCE and README.
 *
 *  (c) Molekulare Bioinformatik, Goethe University Frankfurt, Frankfurt am Main, Germany
 *
 */

package monalisa.addons.netviewer;

import org.apache.commons.collections15.Transformer;

/**
 * Returns the text, which is shown at the edge label
 * @author Jens Einloft
 */

public class EdgeLabelTransformer implements Transformer<NetViewerEdge, String>{

    @Override
    public String transform(NetViewerEdge e) {
        if(e.getWeight() <= 1)
                return "";

        if( !e.getAim().getNodeType().equalsIgnoreCase(NetViewer.BEND) || !e.getSource().getNodeType().equalsIgnoreCase(NetViewer.BEND) )
            return new Integer(e.getWeight()).toString();
        else
            return "";
    }

}
