/*
 *
 *  This file ist part of the software MonaLisa.
 *  MonaLisa is free software, dependend on non-free software. For more information read LICENCE and README.
 *
 *  (c) Molekulare Bioinformatik, Goethe University Frankfurt, Frankfurt am Main, Germany
 *
 */

package monalisa.tools.distance;

import monalisa.data.pn.TInvariant;

/**
 * @author Katja
 * @version 1.0
 */

/**
 * Die Klasse <CODE>DistanceFunc</CODE> definiert die Schnittstelle, mit der auf
 * eine Distanzfunktion zugegriffen werden kann. Diese Distanzfunktion bestimmt
 * den Abstand zwischen zwei TInvarianten.
 */
public interface DistanceFunction {
    /**
     * Bestimmt den Abstand zwischen den beiden TInvarianten <CODE>t1</CODE> und
     * <CODE>t2</CODE>. Gibt den Abstand als double-Wert zur�ck.
     * 
     * @param t1
     *            erste TInvariante
     * @param t2
     *            zweite TInvariante
     * @return Abstand
     */
    public float getDistanceValue(TInvariant t1, TInvariant t2);
}